"""
1. The Puzzle
A text file called LCCS Learning Outcomes.txt, needs to be analysed for an ALT2. <br>
Before it can be analysed it needs to be cleaned of 3 text strings which have unexpectedly corrupted the txt file. <br>
The 3 corrupt strings are: "123456789", "corruptcorrupt" and "Where is Wally?" <br>
Your task is to write a program to clean the txt file of the 3 corrupt strings. <br> <br>

2. Pseudocode for cleaning a txt file : string clean

create a list of corrupt_strings;
read in the file_contents from the txt file;
for each word in the list of corrupt_strings {
	replace that word in the file_contents with ""
}
write out the file_contents to the new txt file;
"""
#set up a list of corrupt_strings
originalCorruptList = ["corruptcorrupt", "123456789", "Where is Wally?"]

#read in the file_contents from the txt file;
with open("LCCS Learning Outcomes.txt", "r") as myFile :
	fileString = myFile.read()

# replace that word in the file_contents with ""
for corruptWord in originalCorruptList :
	fileString = fileString.replace(corruptWord, "")

# write out the file_contents to the new txt file;
newFile = open("LCCS LO string cleaned.txt", "w")
newFile.write(fileString)
print(fileString)
newFile.close()

"""
# If you wanted to isolate each word in the txt file, the most basic way is to split 
# the string into a list of words, assuming each word has a space either side of it.
# The list of words can then be more easily analysed for frequency patterns, etc...
wordList = fileString.split(" ")
print(wordString)
"""
        
        

       

